# Parameters
# 1. Master MySQL IP in XXX.XXX.XXX.XXX format
# 2. Master MySQL Port
# 3. Path

# Example
# ConvertToMaster.ps1 192.168.0.22 3306

# Assumptions
# 1. MySQL is installed as service MySQL
# 2. Location of MySQL installation is C:\MySQL. $inipath can be updated to correct it

# Checking that 2 parameters are passed
$ArgsCount = 3

If ($Args.count ne $ArgsCount) 
{ 
	write-host "Please invoke the script with 3 parameters: 1. Master MySQL IP 2. Master MySQL Port 3. Bin Path" foregroundcolor red
}

else
{
	#Parameter values are assigned to variables
	$master_serverip = $Args[0]
	$master_port = $Args[1]	
	$binPath = $Args[2]
	
	write-host "Shutting down Master" $master_serverip "...." foregroundcolor green
	
	$maspath = 'mysqladmin.exe shutdown -h '+$master_serverip+' -P'+$master_port+' -uroot'

	$ans = Join-Path -path $binPath -childpath $maspath

	$return = Invoke-Expression $ans

	trap  [Exception] {
		write-host $($_.Exception.Message)" : Incorrect SQL Commands" foregroundcolor red
		exit -1
	}

	write-host "Master shutdown Successfully" foregroundcolor green
}


